Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
Mask

[Yêu cầu] Nhờ viết lisp thay đổi hàng loạt chiều cao text trong một layer

Các bài được khuyến nghị

Mask    2

Các bác có thể viết dùm em lisp mà em muốn thay đổi 1 loạt chiều cao cỡ chữ text ( các chữ text này em cho trong 1 layer sẵn )

Vì trong bản vẽ có đến hàng trăm chữ text mà làm theo kiểu thủ công là chọn từng chữ 1 thì k biết đến bao giờ mới xong do em mới học cad.

Em xin cám ơn !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
avi612    15

Của bạn đây.

;Write by avi612
(defun c:thei(/ s height layer ss1 #ct_height k uu count en eg)
 (prompt "\n>>Ch\U+1ECDn \U+0111\U+1ED1i t\U+01B0\U+1EE3ng TEXT m\U+1EABu: ")
 (setq s (car (entsel)))
 (setq height (assoc 40 (entget s)))
 (setq layer (assoc 8 (entget s)))
 (setq ss1 (ssget "X" (list (cons 0 "TEXT") height layer)))
 (setq #ct_height (getreal "\n>>TEXT height: "))
 (setq height nil)
 (setq k nil)
 (setq uu 0)
 (while (< uu (sslength ss1))
(redraw (ssname ss1 uu) 3)
(setq uu (1+ uu))
 )
 (setq count 0)
 (repeat (sslength ss1)
(setq en (ssname ss1 count))
(setq eg (entget en))
(setq eg (subst (cons 40 #ct_height) (assoc 40 eg) eg))
(setq count (1+ count))
(entmod eg)
 )
 (princ)
 (princ)
 )


  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×